#
# Licensed Materials - Property of IBM
# (c) Copyright IBM Corporation 2008. All Rights Reserved. 
#
# Note to U.S. Government Users Restricted Rights:  Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#

use strict;
use CQPerlExt;

my $numArgs = @ARGV;

if ($numArgs != 12) {
   print STDERR ("Error: Incorrect Number of Arguments\n");
   print STDERR ("Usage: ratlperl GetUCMActivityDBID -username <user> -password <password> -userdb <user db> -dbset <dbset> -type <RecordType> -id <RecordID>\n");
   exit(1);
}	

my $CQSession = CQSession::Build();

$CQSession->UserLogon($ARGV[1], $ARGV[3], $ARGV[5], $ARGV[7]);

my $EntityObj = $CQSession->GetEntity($ARGV[9], $ARGV[11]);

my $DBID = $EntityObj->GetDbId();

print("$DBID\n");